Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.util.ssi
Class SsiConfig

    java.lang.Object
      |
      +--org.apache.catalina.util.ssi.SsiMediator
            |
            +--org.apache.catalina.util.ssi.SsiConfig

All Implemented Interfaces:
  SsiCommand

public final class SsiConfig
extends SsiMediator
implements SsiCommand

Implementation of the SsiCommand config, example of usage: <!--#config sizefmt="abbrev" errmsg="An error occurred!"-->

Version:
  $Revision: 1.3.2.1 $, $Date: 2002/01/03 10:44:33 $
Author:
  Bip Thelin

Fields inherited from class org.apache.catalina.util.ssi.SsiMediator
`contextPath, debug, isVirtualWebappRelative, origServletContext, out, path, relpath, req, res, serverVariables, servletContext, ssiCommands`

Constructor Summary
`SsiConfig()` Initialize this SsiCommand

Method Summary
`void` | `flush()` Initialize, run once per page being parsed.
`byte[]` | `getError()` Return the current error message.
`java.lang.String` | `getSizefmt()` Return the current Size format.
`java.lang.String` | `getStream(java.lang.String[] strParamType, java.lang.String[] strParam)` `process()` should be used since this SsiCommand does not return anything.
`java.lang.String` | `getTimefmt()` Return the current Time format.
`boolean` | `isModified()` Return true if we're modified.
`boolean` | `isPrintable()` Returns true if SSI Command does any output.
`void` | `process(java.lang.String[] strParamType, java.lang.String[] strParam)` Process request.

Methods inherited from class org.apache.catalina.util.ssi.SsiMediator
`flush, flushDate, getCGIPath, getCommand, getCommandPath, getFilePath, getServerVariable, getVirtualPath, timefmt, timefmt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SsiConfig

    public SsiConfig()

  Initialize this SsiCommand

Method Detail

### getStream

    public java.lang.String getStream(java.lang.String[] strParamType,
                                      java.lang.String[] strParam)

  `process()` should be used since this SsiCommand does not return anything.
  Specified by:
    `getStream` in interface `SsiCommand`
  Parameters:
    `strParamType` - a value of type 'String[]'
    `strParam` - a value of type 'String[]'
  Returns:
    a value of type 'String'

### process

    public final void process(java.lang.String[] strParamType,
                              java.lang.String[] strParam)

  Process request.
  Specified by:
    `process` in interface `SsiCommand`
  Parameters:
    `strParamType` - a value of type 'String[]'
    `strParam` - a value of type 'String[]'

### getError

    public final byte[] getError()

  Return the current error message.
  Overrides:
    `getError` in class `SsiMediator`
  Returns:
    a value of type 'byte[]'

### getSizefmt

    public final java.lang.String getSizefmt()

  Return the current Size format.
  Returns:
    a value of type 'String'

### getTimefmt

    public final java.lang.String getTimefmt()

  Return the current Time format.
  Returns:
    a value of type 'String'

### flush

    public final void flush()

  Initialize, run once per page being parsed.

### isPrintable

    public final boolean isPrintable()

  Returns true if SSI Command does any output.
  Specified by:
    `isPrintable` in interface `SsiCommand`
  Returns:
    a value of type 'boolean'

### isModified

    public final boolean isModified()

  Return true if we're modified.
  Specified by:
    `isModified` in interface `SsiCommand`
  Returns:
    a value of type 'boolean'

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.